Page MenuHomePhabricator

Help Panel: Posting to monthly help desk archive (kowiki)
Closed, ResolvedPublic

Description

Post a question on kowiki help desk (https://ko.wikipedia.org/w/index.php?title=%EC%9C%84%ED%82%A4%EB%B0%B1%EA%B3%BC:%EC%A7%88%EB%AC%B8%EB%B0%A9/2019%EB%85%84_1%EC%9B%94&action=edit&section=new) uses a template {{위키백과:질문방/{{Y-M|0}}}} to post to wiki/{help-desk}/year-month

As it stands, the help panel question posts will end up on https://ko.wikipedia.org/wiki/%EC%9C%84%ED%82%A4%EB%B0%B1%EA%B3%BC:%EC%A7%88%EB%AC%B8%EB%B0%A9 which is not desired.

Event Timeline

kostajh triaged this task as High priority.Jan 8 2019, 3:58 PM
kostajh created this task.
Restricted Application added subscribers: revi, Aklapper. · View Herald TranscriptJan 8 2019, 3:58 PM
kostajh removed kostajh as the assignee of this task.Jan 8 2019, 3:59 PM

I've copied the work environment from ko.wp to Beta wiki.

Hi @revi, do you know if the monthly help desk subpage is automatically created (by a bot or someone..) or if it only gets created by the first person posting a question in that month?

I'm asking because we have some checks in the code to make sure the help desk is correctly configured and exists but we may have to relax them a little.

thanks

revi added a comment.Jan 9 2019, 1:29 PM

Usually created in advance, but there's currently no bot to automatically generate it so if someone forgets to create the page, it could be missing…

SBisson added a subscriber: Catrope.Jan 9 2019, 1:40 PM

@Catrope , @kostajh I'm wondering if we should still validate that the page exists or only that it's valid and create it when it doesn't exist.

If we require the page to exist (like we do know) we ensure that our configuration for how to locate the page using a template is still up to date and we're not posting questions to the wrong place where nobody would find them. However, it's possible that at the beginning of the month, for a short while, the page doesn't yet exist and it prevents us from showing the help panel. I would go with this option but I'm curious what you guys think.

@revi, would it be a big deal if the questions are posted on the main Help desk page instead of the monthly subpages, at least during the time of the experiment? We could move the main page on a 2019-1 subpage to archive it on February 1st for consistency.

revi added a comment.Jan 9 2019, 2:04 PM

It is highly discouraged, and should be avoided if possible. I don't think community will like that.

Moving that page means main page history till 2019-02-01 will be sent to January archive and the history for existing January page will need to be merged and then the old Main Help desk history has to be split again to the main Help desk.
</workhat>

I'm wondering if we should still validate that the page exists or only that it's valid and create it when it doesn't exist.

I think creating on demand is fine, and in any case will be necessary for the current rollout.

I'm wondering if we should still validate that the page exists or only that it's valid and create it when it doesn't exist.

I think creating on demand is fine, and in any case will be necessary for the current rollout.

Why would it be necessary for the current rollout? The January subpage exists.

Why would it be necessary for the current rollout? The January subpage exists.

You're right :)

revi added a comment.Jan 9 2019, 3:31 PM

I just checked the subpages for this year is complete, so I think this should not be blocking for the near term.

Change 483156 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Support templates and mogic words in wgGEHelpPanelHelpDeskTitle

https://gerrit.wikimedia.org/r/483156

I've kept the logic as-is for the first version (meaning: the help desk subpage has to exist for the help panel to show up) but here are the places that need to be updated if we want to create it automatically as needed.

  • HelpPanel.php:114 if ( !$helpDeskTitle || !$helpDeskTitle->exists() ) { use isValid() instead of exists()
  • QuestionPoster.php:104 Remove EDIT_UPDATE since it validates that the page exist and throws if it doesn't
  • QuestionPoster.php:122 Handle $parent being null and create the content from scratch

Something else to note: when the page doesn't exist, the second step of the question flow shows a red ink for the help desk. Going there would be pretty confusing to the user, who's presumably already struggling with their editing session.

@SBisson -- since help pages exist for the rest of the year, is there a date that we have to remember to do something by? If so, what is the date, and what is the reminder? I'll put it on the calendar.

@SBisson -- since help pages exist for the rest of the year, is there a date that we have to remember to do something by? If so, what is the date, and what is the reminder? I'll put it on the calendar.

December 2019: Make sure kowiki help desk monthly subpages exist for 2020 (See T213186)

Change 483156 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Support templates and magic words in wgGEHelpPanelHelpDeskTitle

https://gerrit.wikimedia.org/r/483156

Change 483313 had a related patch set uploaded (by Catrope; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@wmf/1.33.0-wmf.12] Support templates and magic words in wgGEHelpPanelHelpDeskTitle

https://gerrit.wikimedia.org/r/483313

Change 483313 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@wmf/1.33.0-wmf.12] Support templates and magic words in wgGEHelpPanelHelpDeskTitle

https://gerrit.wikimedia.org/r/483313

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2019-01-10T00:20:09Z] <catrope@deploy1001> Synchronized php-1.33.0-wmf.12/extensions/GrowthExperiments/: Help panel fixes (T212973, T212890, T213186) (duration: 00m 54s)

Change 483318 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Help panel: Set help desk page correctly on kowiki

https://gerrit.wikimedia.org/r/483318

Change 483318 merged by jenkins-bot:
[operations/mediawiki-config@master] Help panel: Set help desk page correctly on kowiki

https://gerrit.wikimedia.org/r/483318

Mentioned in SAL (#wikimedia-operations) [2019-01-10T00:58:20Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Configure help desk page for help panel correctly on kowiki (T213186) (duration: 00m 53s)

revi added a comment.Jan 10 2019, 8:16 AM

@SBisson -- since help pages exist for the rest of the year, is there a date that we have to remember to do something by? If so, what is the date, and what is the reminder? I'll put it on the calendar.

December 2019: Make sure kowiki help desk monthly subpages exist for 2020 (See T213186)

Seems like choboty on kowiki runs once a year in December to create required monthly subpages.

Change 483646 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/WikimediaEvents@master] GrowthExperiments: Support templates for help desk title

https://gerrit.wikimedia.org/r/483646

Change 483646 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] GrowthExperiments: Support templates for help desk title

https://gerrit.wikimedia.org/r/483646

Change 483651 had a related patch set uploaded (by Jforrester; owner: Kosta Harlan):
[mediawiki/extensions/WikimediaEvents@wmf/1.33.0-wmf.12] GrowthExperiments: Support templates for help desk title

https://gerrit.wikimedia.org/r/483651

Change 483651 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@wmf/1.33.0-wmf.12] GrowthExperiments: Support templates for help desk title

https://gerrit.wikimedia.org/r/483651

Mentioned in SAL (#wikimedia-operations) [2019-01-11T01:03:43Z] <jforrester@deploy1001> Synchronized php-1.33.0-wmf.12/extensions/WikimediaEvents/includes/PageViews.php: SWAT: T213186 GrowthExperiments: Support templates for help desk title (duration: 00m 46s)

Etonkovidova closed this task as Resolved.Jan 11 2019, 6:44 PM

Change 484254 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/WikimediaEvents@master] GrowthExperiments: Test help desk title template

https://gerrit.wikimedia.org/r/484254

Change 484254 abandoned by Kosta Harlan:
GrowthExperiments: Test help desk title template

Reason:
incorporated in another patch

https://gerrit.wikimedia.org/r/484254